---
title: Fetch Room Details
slug: fetch-room-details
docTags: 
createdAt: 2025-10-13T06:05:51.357Z
---

:::ApiMethodV2
```json
{
  "name": "Get Room Details",
  "method": "POST",
  "url": "https://wsb.bakuun.com/v2/ratedockroomlist/test/MPBXX/966102",
  "description": "Fetch room details with partner room code\n\n",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "-a6ev31csLIzcdTYZHisl",
        "language": "json",
        "code": "{\n  \"password\": \"xxxxx\",\n  \"username\": \"xxxx\",\n  \"action\": \"getRoom\",\n  \"HotelRef\": {\n    \"code\": \"HTLX.X\",\n    \"Name\": \"Test Property\"\n  }\n}",
        "customLabel": ""
      },
      {
        "id": "QcPKJNcT8mcG-cwafuHwN",
        "language": "curl",
        "code": "curl --location 'https://wsb.bakuun.com/v2/ratedockroomlist/test/RDKXX/966102' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json' \\\n--data '{\n  \"username\": \"String\",\n  \"password\": \"String\",\n  \"action\": \"String\",\n  \"HotelRef\": {\n    \"code\": \"\",\n    \"Name\": \"\"\n  }\n}'",
        "customLabel": ""
      },
      {
        "id": "sWs4em22uDSQeRevurPos",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'POST',\n   'url': 'https://wsb.bakuun.com/v2/ratedockroomlist/test/RDKXX/966102',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   },\n   body: JSON.stringify({\n      \"username\": \"String\",\n      \"password\": \"String\",\n      \"action\": \"String\",\n      \"HotelRef\": {\n         \"code\": \"\",\n         \"Name\": \"\"\n      }\n   })\n\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "4bXLgKG6lgIzq50BKQmxe",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"username\": \"String\",\n   \"password\": \"String\",\n   \"action\": \"String\",\n   \"HotelRef\": {\n      \"code\": \"\",\n      \"Name\": \"\"\n   }\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://wsb.bakuun.com/v2/ratedockroomlist/test/RDKXX/966102\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "-Xft1fIG7BX9wttKRsBCn",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://wsb.bakuun.com/v2/ratedockroomlist/test/RDKXX/966102\"\n\npayload = json.dumps({\n   \"username\": \"String\",\n   \"password\": \"String\",\n   \"action\": \"String\",\n   \"HotelRef\": {\n      \"code\": \"\",\n      \"Name\": \"\"\n   }\n})\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "pehdKlwoYc6HrlB5OaWXe",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://wsb.bakuun.com/v2/ratedockroomlist/test/RDKXX/966102\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"username\": \"String\",\n   \"password\": \"String\",\n   \"action\": \"String\",\n   \"HotelRef\": {\n      \"code\": \"\",\n      \"Name\": \"\"\n   }\n})\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "-a6ev31csLIzcdTYZHisl"
  },
  "results": {
    "languages": [
      {
        "id": "BVUJfRIDCM7lLpYvvpE0n",
        "language": "200",
        "code": "{\n  \"success\": true,\n  \"data\": {\n    \"hotelId\": \"xxx\",\n    \"hotelRoomLists\": [\n      {\n        \"roomTypeId\": \"xxx\",\n        \"roomName\": \"xxxx\",\n        \"type\": \"Daily Room\"\n      },\n      {\n        \"roomTypeId\": \"xxxx\",\n        \"roomName\": \" Standard single\",\n        \"type\": \"Daily Room\"\n      }\n    ]\n  },\n  \"warnings\": [],\n  \"errors\": []\n}",
        "customLabel": ""
      },
      {
        "id": "4tRsQTZIivrTDf0gTBjxr",
        "language": "401",
        "code": "{\n  \"success\": false,\n  \"errors\": [\n    {\n      \"code\": 410,\n      \"message\": \"Unauthorized user\"\n    }\n  ]",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "4tRsQTZIivrTDf0gTBjxr"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "name": "username",
        "kind": "required",
        "type": "string",
        "description": "API username provided by the partner to authenticate incoming requests from Bakuun.",
        "": "API username provided by the partner to authenticate incoming requests from Bakuun."
      },
      {
        "name": "password",
        "kind": "required",
        "type": "string",
        "description": "API password provided by the partner to authenticate incoming requests from Bakuun.\n",
        "": "API password provided by the partner to authenticate incoming requests from Bakuun.\n"
      },
      {
        "name": "action",
        "kind": "required",
        "type": "string",
        "description": "Defines the requested operation. Must be set to getRoom.",
        "": "Defines the requested operation. Must be set to getRoom."
      },
      {
        "name": "HotelRef",
        "kind": "required",
        "type": "object",
        "description": "",
        "": "HotelRef",
        "children": [
          {
            "name": "code",
            "kind": "required",
            "type": "string",
            "description": "The hotel code assigned by the partner system\n\n"
          },
          {
            "name": "Name",
            "kind": "required",
            "type": "string",
            "description": "The hotel name assigned by the partner system\n"
          }
        ],
        "schema": [
          {
            "name": "code",
            "kind": "required",
            "type": "string",
            "description": "The hotel code assigned by the partner system\n\n"
          },
          {
            "name": "Name",
            "kind": "required",
            "type": "string",
            "description": "The hotel name assigned by the partner system\n"
          }
        ]
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "success",
      "kind": "optional",
      "type": "boolean",
      "description": ""
    },
    {
      "name": "data",
      "kind": "optional",
      "type": "object",
      "description": "",
      "children": [
        {
          "name": "hotelId",
          "kind": "optional",
          "type": "string",
          "description": "The hotel code assigned by the partner system"
        },
        {
          "name": "hotelRoomLists",
          "kind": "optional",
          "type": "string",
          "description": ""
        },
        {
          "name": "roomTypeId",
          "kind": "optional",
          "type": "string",
          "description": "The room id assigned by the partner system"
        },
        {
          "name": "roomName",
          "kind": "optional",
          "type": "string",
          "description": "The room name assigned by the partner system"
        },
        {
          "name": "type",
          "kind": "optional",
          "type": "string",
          "description": "Used to identify the room selling model  , the allowed value would be Daily Room"
        }
      ]
    },
    {
      "name": "warnings",
      "kind": "optional",
      "type": "array",
      "description": "",
      "children": []
    },
    {
      "name": "errors",
      "kind": "optional",
      "type": "array",
      "description": "",
      "children": []
    }
  ],
  "autoGeneratedAnchorSlug": "get-room-details",
  "legacyHash": "Wd211LDEEnfLn83hrCLaU"
}
```
:::



